
/* Chrysalide - Outil d'analyse de fichiers binaires
 * ror13.h - prototypes pour la transormation en empreinte d'API ror13
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _PLUGINS_APIHASHING_CLASSICS_ROR13_H
#define _PLUGINS_APIHASHING_CLASSICS_ROR13_H


#include <glib-object.h>


#include "../apihash.h"



#define G_TYPE_SCAN_ROR13_MODIFIER            g_scan_ror13_modifier_get_type()
#define G_SCAN_ROR13_MODIFIER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), G_TYPE_SCAN_ROR13_MODIFIER, GScanRor13Modifier))
#define G_IS_SCAN_ROR13_MODIFIER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), G_TYPE_SCAN_ROR13_MODIFIER))
#define G_SCAN_ROR13_MODIFIER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), G_TYPE_SCAN_ROR13_MODIFIER, GScanRor13ModifierClass))
#define G_IS_SCAN_ROR13_MODIFIER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), G_TYPE_SCAN_ROR13_MODIFIER))
#define G_SCAN_ROR13_MODIFIER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_TYPE_SCAN_ROR13_MODIFIER, GScanRor13ModifierClass))


/* Transormation en empreinte d'API ror13 (instance) */
typedef GApiHashModifier GScanRor13Modifier;

/* Transormation en empreinte d'API ror13 (classe) */
typedef GApiHashModifierClass GScanRor13ModifierClass;


/* Indique le type défini pour une transormation en empreinte ror13. */
GType g_scan_ror13_modifier_get_type(void);

/* Construit un modificateur livrant des empreintes ror13. */
GScanTokenModifier *g_scan_ror13_modifier_new(void);



#endif  /* _PLUGINS_APIHASHING_CLASSICS_ROR13_H */
