
/* Chrysalide - Outil d'analyse de fichiers binaires
 * enums.h - Reprise des fanions de la syntaxe YARA
 *
 * Copyright (C) 2023 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Chrysalide.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _TOOLS_YARA2ROST_ENUMS_H
#define _TOOLS_YARA2ROST_ENUMS_H


typedef enum _RuleFlags
{
    RULE_FLAGS_NONE    = (0 << 0),
    RULE_FLAGS_PRIVATE = (1 << 0),
    RULE_FLAGS_GLOBAL  = (1 << 1)

} RuleFlags;

typedef enum _StringExtraFlags
{
    STRING_FLAGS_NONE      = (0 << 0),
    STRING_FLAGS_NO_CASE   = (1 << 0),
    STRING_FLAGS_FULL_WORD = (1 << 1),
    STRING_FLAGS_PRIVATE   = (1 << 2)

} StringExtraFlags;



#endif  /* _TOOLS_YARA2ROST_ENUMS_H */
